﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using WpfApplication1.Data;

namespace WpfApplication1.Converter
{
    public class IsEqualConverter : IMultiValueConverter
    {

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool result = false;
            if (values != null && values.Any())
            {
                if (values.Count() == 2)
                {
                    if (values[0].GetType() == typeof(string))
                    {
                        string val = "";
                        string dbVal = "";
                        var _val = values[0];
                        var _dbVal = values[1];
                        if (_val != null)
                        {
                            val = _val.ToString();
                        }
                        if (_dbVal != null)
                        {
                            dbVal = _dbVal.ToString();
                        }
                        result = val == dbVal;
                    }
                    else if (values[0].GetType() == typeof(ParameterUnit))
                    {
                        var val = values[0] as ParameterUnit;
                        var dbVal = values[1] as ParameterUnit;
                        if (val != null && dbVal != null)
                        {
                            result = val.UnitId == dbVal.UnitId;
                        }
                        else
                        {
                            result = false;
                        }
                    }
                }
            }
            return result;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
